Ingest Vcs Webhook
POST /vcs/webhookUnauthenticated. The signature over the raw body is the authentication.
Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
X-Hub-Signature-256 | header | string | null | optional | — |
X-GitHub-Event | header | string | null | optional | — |
X-GitHub-Delivery | header | string | null | optional | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
202 | Successful Response | — |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X POST https://your-deployment.example.com/vcs/webhook